API Reference
Runtime
Runtime API endpoints
List connected agent hosts
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Connected agent hosts grouped by hostname
List files in a global scope via agent proxy
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Query Parameters
scopeRequired
stringFile scope (e.g. shared, plugins)
hostnamestringTarget host
Read a global-scope file via agent proxy
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Query Parameters
scopeRequired
stringFile scope
pathRequired
stringFile path to read
hostnamestringTarget host
Write a global-scope file via agent proxy
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Request Body
application/jsonRequiredscopeRequired
stringpathRequired
stringcontentRequired
stringhostnamestringOptional target host
Read the OpenClaw config from a connected agent
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Query Parameters
hostnamestringTarget host
Write the OpenClaw config to a connected agent
Authorization
AuthorizationRequired
Bearer <token>Privy JWT or API key (sk_...)
In: header
Request Body
application/jsonRequiredcontentRequired
stringOpenClaw config JSON string
hostnamestringOptional target host